Subject: Re: [AAA-WG]: Issue 221: Why require CMS to send it's expected AVPs?

From: Pat Calhoun <[email-masked]>
Date: Sat, 3 Nov 2001 09:54:34 -0800

On Fri, Oct 26, 2001 at 06:22:47PM +0100, Stephen Farrell wrote:
> 
> Hi Don,
> 
> > >Don't we support vendor-specific AVPs or any AVPs where encryption
> > >is optional?
> > 
> > Vendor-specific AVPs should have AVP definitions just like standard AVPs.
> 
> Yes, but say that an intermediary (some "boundary" server) is the DSA
> endpoint, where the intermidiary itself doesn't know about the AVP? I
> suppose this argument would also apply to anything that's not part of
> the base spec. (or am I wrong that such "ignorant intermediaries" are 
> allowed?).
> 
> > I don't know of any cases where encryption of an AVP should be optional when
> > a DSA is in place.  I am very interested in any examples where encryption
> > of an AVP should be optional.
> 
> Fair enough. If there're none, there're none.
> 
> > Even if encryption is optional, why not leave it up to the sender's local
> > policy.  After all, the sender is the source of the sensitive data.  The
> > receiver will be able to decipher the AVP whether it is encrypted or not.
> 
> I could imagine that the sender & recipient's policies will differ as to
> what's sensitive - the expected-* stuff allows us to help there.
>  
> > >Similarly, won't requiring/not-requiring a signature over a given AVP be
> > >a matter of local policy?
> > 
> > It seems like a reasonable simplification to just always sign when a DSA is in
> > place.  A Diameter node can ignore signatures if it chooses.
> 
> True, but maybe a bit computationally intensive.

But each AVP table states what can be signed, and should be encrypted. One
can easily follow that table, and if everyone used the table as it's policy,
then we have simple interoperability. AVPs that cannot be encrypted are flagged
as such for a very good reason, intermediate nodes need the information.

So I believe that concensus seems to be in favor of removing the *expected*
AVPs, which would drastically simplify the spec.

Comments?

PatC